Loading...
Searching...
No Matches
Qore::UrlInfo Struct Reference

a hash describing a parsed URL More...

`#include <ql_misc.dox.h>`

## Public Attributes

string | host
| the hostname given in the URL string, if any
string | password
| the password given in the URL, if any
string | path
| the path given in the URL string, if present
int | port
| the port number given in the URL string, if any
string | protocol
| the scheme or protocol of the URL, if present
string | query
| the query part of the URL (i.e. text after any `'`?' char), if present
string | username
| the username of the URL, if present

## Detailed Description

a hash describing a parsed URL

Since
  Qore 0.9.3